<?php

namespace Drupal\commerce_store_filter\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure commerce_store_filter.
 */
class CommerceStoreFilterSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'commerce_store_filter_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'commerce_store_filter.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildForm($form, $form_state);
    $config = $this->config('commerce_store_filter.settings');

    $form['store_set_message'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Set store message.'),
      '#default_value' => $config->get('store_set_message'),
      '#description' => $this->t('Set the message displayed to the user when a store is switched.'),
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    parent::submitForm($form, $form_state);

    $this->config('commerce_store_filter.settings')
      ->set('store_set_message', $form_state->getValue('store_set_message'))
      ->save();
  }

}
